## baresip 1.0.0

=== Makefile ===
#
# Makefile
#
# Copyright (C) 2010 Creytiv.com
#
#
# Internal features:
#
#   USE_TLS           Enable SIP over TLS transport
#

PROJECT	  := baresip
VERSION   := 1.0.0
DESCR     := "Baresip is a modular SIP User-Agent with audio and video support"

# Verbose and silent build modes
ifeq ($(V),)
HIDE=@
endif

ifndef LIBRE_MK
LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \
	echo "../re/mk/re.mk")
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f ../re-$(VERSION)/mk/re.mk ] && \
	echo "../re-$(VERSION)/mk/re.mk")
endif
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f /usr/share/re/re.mk ] && \
	echo "/usr/share/re/re.mk")
endif
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f /usr/local/share/re/re.mk ] && \
	echo "/usr/local/share/re/re.mk")
endif
endif


ifeq ($(SYSROOT_LOCAL),)
SYSROOT_LOCAL := $(shell [ -d /usr/local/include ] && echo "/usr/local")
endif


include $(LIBRE_MK)
include mk/modules.mk

ifndef LIBREM_PATH
LIBREM_PATH	:= $(shell [ -d ../rem ] && echo "../rem")
endif


CFLAGS    += -I. -Iinclude -I$(LIBRE_INC)
ifneq ($(LIBREM_PATH),)
CFLAGS    += -I$(LIBREM_PATH)/include
endif
CFLAGS    += -I$(SYSROOT)/local/include/rem -I$(SYSROOT)/include/rem
ifneq ($(SYSROOT_LOCAL),)
CFLAGS    += -I$(SYSROOT_LOCAL)/include/rem
endif


CXXFLAGS  += -I. -Iinclude -I$(LIBRE_INC)
ifneq ($(LIBREM_PATH),)
CXXFLAGS  += -I$(LIBREM_PATH)/include
endif
CXXFLAGS  += -I$(SYSROOT)/local/include/rem -I$(SYSROOT)/include/rem
ifneq ($(SYSROOT_LOCAL),)
CXXFLAGS  += -I$(SYSROOT_LOCAL)/include/rem
endif
CXXFLAGS  += $(EXTRA_CXXFLAGS)


# XXX: common for C/C++
CPPFLAGS += -DHAVE_INTTYPES_H

ifneq ($(LIBREM_PATH),)
CLANG_OPTIONS  += -I$(LIBREM_PATH)/include
endif

ifeq ($(OS),win32)
STATIC    := yes
endif

ifneq ($(SYSROOT),)
ifeq ($(OS),freebsd)
CFLAGS += -I$(SYSROOT)/local/include
endif
ifeq ($(OS),openbsd)
CFLAGS += -isystem $(SYSROOT)/local/include
endif
endif


# Optional dependencies
ifneq ($(STATIC),)
CFLAGS    += -DSTATIC=1
CXXFLAGS  += -DSTATIC=1
endif

INSTALL := install
ifeq ($(DESTDIR),)
PREFIX  := /usr/local
else
PREFIX  := /usr
endif
BINDIR	:= $(PREFIX)/bin
INCDIR  := $(PREFIX)/include
BIN	:= $(PROJECT)$(BIN_SUFFIX)
TEST_BIN	:= selftest$(BIN_SUFFIX)
SHARED  := lib$(PROJECT)$(LIB_SUFFIX)
STATICLIB  := libbaresip.a
ifeq ($(STATIC),)
MOD_BINS:= $(patsubst %,%$(MOD_SUFFIX),$(MODULES))
endif
APP_MK	:= src/srcs.mk
TEST_MK	:= test/srcs.mk
MOD_MK	:= $(patsubst %,modules/%/module.mk,$(MODULES))
MOD_BLD	:= $(patsubst %,$(BUILD)/modules/%,$(MODULES))
LIBDIR     := $(PREFIX)/lib
MOD_PATH   := $(LIBDIR)/$(PROJECT)/modules
SHARE_PATH := $(PREFIX)/share/$(PROJECT)
CFLAGS     += -DPREFIX=\"$(PREFIX)\"
CFLAGS    += -DMOD_PATH=\"$(MOD_PATH)\"
CFLAGS    += -DSHARE_PATH=\"$(SHARE_PATH)\"


all: sanity $(MOD_BINS) $(BIN)

.PHONY: modules
modules:	$(MOD_BINS)

include $(APP_MK)
include $(TEST_MK)
include $(MOD_MK)

OBJS      := $(patsubst %.c,$(BUILD)/src/%.o,$(filter %.c,$(SRCS)))
OBJS      += $(patsubst %.m,$(BUILD)/src/%.o,$(filter %.m,$(SRCS)))
OBJS      += $(patsubst %.S,$(BUILD)/src/%.o,$(filter %.S,$(SRCS)))

APP_OBJS  := $(OBJS) $(patsubst %.c,$(BUILD)/src/%.o,$(APP_SRCS)) $(MOD_OBJS)

LIB_OBJS  := $(OBJS) $(MOD_OBJS)

TEST_OBJS := $(patsubst %.c,$(BUILD)/test/%.o,$(filter %.c,$(TEST_SRCS)))
TEST_OBJS += $(patsubst %.cpp,$(BUILD)/test/%.o,$(filter %.cpp,$(TEST_SRCS)))

ifneq ($(LIBREM_PATH),)
LIBS	+= -L$(LIBREM_PATH)
endif

# Static build: include module linker-flags in binary
ifneq ($(STATIC),)
LIBS      += $(MOD_LFLAGS)
else

ifneq ($(SYSROOT_LOCAL),)
LIBS      += -L$(SYSROOT_LOCAL)/lib
MOD_LFLAGS += -L$(SYSROOT_LOCAL)/lib
endif

endif

LIBS      += -lrem -lm
#LIBS      += -L$(SYSROOT)/lib

ifeq ($(OS),win32)
TEST_LIBS += -static-libgcc
endif


-include $(APP_OBJS:.o=.d)

-include $(TEST_OBJS:.o=.d)


sanity:
ifeq ($(LIBRE_MK),)
	@echo "ERROR: Missing common makefile for libre. Check LIBRE_MK"
	@exit 2
endif
ifeq ($(LIBRE_INC),)
	@echo "ERROR: Missing header files for libre. Check LIBRE_INC"
	@exit 2
endif
ifeq ($(LIBRE_SO),)
	@echo "ERROR: Missing library files for libre. Check LIBRE_SO"
	@exit 2
endif

Makefile:	mk/*.mk $(MOD_MK) $(LIBRE_MK)


$(SHARED): $(LIB_OBJS)
	@echo "  LD      $@"
	$(HIDE)$(LD) $(LFLAGS) $(SH_LFLAGS) $^ -L$(LIBRE_SO) -lre $(LIBS) -o $@

$(STATICLIB): $(LIB_OBJS)
	@echo "  AR      $@"
	@rm -f $@; $(AR) $(AFLAGS) $@ $^
ifneq ($(RANLIB),)
	@echo "  RANLIB  $@"
	$(HIDE)$(RANLIB) $@
endif

libbaresip.pc:
	@echo 'prefix='$(PREFIX) > libbaresip.pc
	@echo 'exec_prefix=$${prefix}' >> libbaresip.pc
	@echo 'libdir=$${prefix}/lib' >> libbaresip.pc
	@echo 'includedir=$${prefix}/include' >> libbaresip.pc
	@echo '' >> libbaresip.pc
	@echo 'Name: libbaresip' >> libbaresip.pc
	@echo 'Description: $(DESCR)' >> libbaresip.pc
	@echo 'Version: '$(VERSION) >> libbaresip.pc
	@echo 'URL: http://www.creytiv.com/baresip.html' >> libbaresip.pc
	@echo 'Libs: -L$${libdir} -lbaresip' >> libbaresip.pc
	@echo 'Cflags: -I$${includedir}' >> libbaresip.pc

$(BIN):	$(APP_OBJS)
	@echo "  LD      $@"
	$(HIDE)$(LD) $(LFLAGS) $(APP_LFLAGS) $^ \
		-L$(LIBRE_SO) -lre $(LIBS) -o $@


#
# List of modules used by selftest
#
ifneq ($(STATIC),)
TEST_MODULES :=
else
TEST_MODULES := g711.so
endif

.PHONY: test
test:	$(TEST_BIN)
	./$(TEST_BIN)

$(TEST_BIN):	$(STATICLIB) $(TEST_OBJS) $(TEST_MODULES)
	@echo "  LD      $@"
	$(HIDE)$(LD) $(LFLAGS) $(APP_LFLAGS) $(TEST_OBJS) \
		-L$(LIBRE_SO) -L. \
		-l$(PROJECT) -lre $(LIBS) $(TEST_LIBS) -o $@

$(BUILD)/%.o: %.c $(BUILD) Makefile $(APP_MK)
	@echo "  CC      $@"
	$(HIDE)$(CC) $(CFLAGS) -c $< -o $@ $(DFLAGS)

$(BUILD)/%.o: %.cpp $(BUILD) Makefile $(APP_MK)
	@echo "  CXX     $@"
	$(HIDE)$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $< -o $@ $(DFLAGS)

$(BUILD)/%.o: %.m $(BUILD) Makefile $(APP_MK)
	@echo "  OC      $@"
	$(HIDE)$(CC) $(CFLAGS) $(OBJCFLAGS) -c $< -o $@ $(DFLAGS)

$(BUILD)/%.o: %.S $(BUILD) Makefile $(APP_MK)
	@echo "  AS      $@"
	$(HIDE)$(CC) $(CFLAGS) -c $< -o $@ $(DFLAGS)

$(BUILD): Makefile
	@mkdir -p $(BUILD)/src $(MOD_BLD) $(BUILD)/test/mock $(BUILD)/test/sip
	@touch $@

install: $(BIN) $(MOD_BINS)
	@mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 0755 $(BIN) $(DESTDIR)$(BINDIR)
ifeq ($(STATIC),)
	@mkdir -p $(DESTDIR)$(MOD_PATH)
	$(INSTALL) -m 0644 $(MOD_BINS) $(DESTDIR)$(MOD_PATH)
endif
	@mkdir -p $(DESTDIR)$(SHARE_PATH)
	$(INSTALL) -m 0644 share/* $(DESTDIR)$(SHARE_PATH)

install-dev: install-shared install-static

install-shared: $(SHARED) libbaresip.pc
	@mkdir -p $(DESTDIR)$(INCDIR)
	$(INSTALL) -Cm 0644 include/baresip.h $(DESTDIR)$(INCDIR)
	@mkdir -p $(DESTDIR)$(LIBDIR) $(DESTDIR)$(LIBDIR)/pkgconfig
	$(INSTALL) -m 0644 $(SHARED) $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 0644 libbaresip.pc $(DESTDIR)$(LIBDIR)/pkgconfig

install-static: $(STATICLIB)
	@mkdir -p $(DESTDIR)$(INCDIR)
	$(INSTALL) -Cm 0644 include/baresip.h $(DESTDIR)$(INCDIR)
	@mkdir -p $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 0644 $(STATICLIB) $(DESTDIR)$(LIBDIR)

uninstall:
	@rm -f $(DESTDIR)$(PREFIX)/bin/$(BIN)
	@rm -rf $(DESTDIR)$(MOD_PATH)
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(SHARED)
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(STATICLIB)
	@rm -f $(DESTDIR)$(PREFIX)/lib/pkgconfig/libbaresip.pc

.PHONY: clean
clean:
	@rm -rf $(BIN) $(MOD_BINS) $(SHARED) $(BUILD) $(TEST_BIN) \
		$(STATICLIB) libbaresip.pc
	@rm -f *stamp \
	`find . -name "*.[od]"` \
	`find . -name "*~"` \
	`find . -name "\.\#*"`

.PHONY: ccheck
ccheck:
	@test/ccheck.py

version:
	@perl -pi -e 's/BARESIP_VERSION.*/BARESIP_VERSION \"$(VERSION)"/' \
		include/baresip.h
	@perl -pi -e "s/PROJECT_NUMBER         = .*/\
PROJECT_NUMBER         = $(VERSION)/" \
		mk/Doxyfile
	@echo "updating version number to $(VERSION)"

src/static.c: $(BUILD) Makefile $(APP_MK) $(MOD_MK)
	@echo "  SH      $@"
	@echo "/* static.c - autogenerated by makefile */"  > $@
	@echo "#include <re_types.h>"  >> $@
	@echo "#include <re_mod.h>"  >> $@
	@echo ""  >> $@
	@for n in $(MODULES); do \
		echo "extern const struct mod_export exports_$${n};" >> $@ ; \
	done
	@echo ""  >> $@
	@echo "const struct mod_export *mod_table[] = {"  >> $@
	@for n in $(MODULES); do \
		echo "  &exports_$${n},"  >> $@  ; \
	done
	@echo "  NULL"  >> $@
	@echo "};"  >> $@

=== debian/changelog ===
baresip (1.0.0-4build14) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:22:48 +0200

baresip (1.0.0-4build13) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:33:11 +1100

baresip (1.0.0-4build12) noble; urgency=medium

  * No-change rebuild against libvpx9

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 19 Mar 2024 11:05:01 +0100

baresip (1.0.0-4build11) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:03:44 +0000

baresip (1.0.0-4build10) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:04:47 +0000

baresip (1.0.0-4build9) noble; urgency=medium

  * Rebuild against new libvpx8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Nov 2023 19:33:06 +0100

baresip (1.0.0-4build8) mantic; urgency=medium

  * Rebuild against new libcodec2-1.2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Aug 2023 00:24:17 +0200

baresip (1.0.0-4build7) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:41:39 +0200

baresip (1.0.0-4build6) mantic; urgency=medium

  * Rebuild against new libcodec2-1.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 08:29:56 +0200

baresip (1.0.0-4build5) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:43:06 +0000

baresip (1.0.0-4build4) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Mar 2022 08:56:51 +0100

baresip (1.0.0-4build3) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Mar 2022 06:00:09 +0100

baresip (1.0.0-4build2) jammy; urgency=medium

  * Rebuild against new libsndio7.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 12:12:29 +0100

baresip (1.0.0-4build1) jammy; urgency=medium

  * Rebuild against new libvpx7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Nov 2021 10:45:33 +0100

baresip (1.0.0-4) unstable; urgency=medium

  * update Homepage;
    closes: bug#974748, thanks to Davide Prina
  * declare compliance with Debian Policy 4.5.1
  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * drop README.source (dgit unused for some time)
  * add patch cherry-picked upstream
    to fix bind network to localhost in a test
  * use debhelper compatibility level 13 (not 12)
  * tighten to not tolerate testsuite failure

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Dec 2020 16:27:17 +0100

baresip (1.0.0-3) unstable; urgency=medium

  * add patch 2002 to make testsuite more verbose
  * improve source script copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Nov 2020 13:29:53 +0100

baresip (1.0.0-2) unstable; urgency=medium

  * extend patch 1002 to support cross-building;
    closes: bug#944338, thanks to Helmut Grohne
  * unfuzz patch 2001
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2020 17:53:43 +0200

baresip (1.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright:
    drop no longer included upstream files
    update coverage
  * unfuzz and extend patches
  * update long description:
    + fix stop mention Nat Traversal PCP
    + mention standard WebRTC
    + mention audio codecs aptX and EBU ACIP
    + mention audio driver PulseAudio
    + stop mention Nat Traversal NATBD
    + stop mention DNS discovery Avahi
  * stop custom-handle core modules codec2 echo sndio
  * declare compliance with Debian Policy 4.4.0
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * simplify source script copyright-check
  * build-depend on libopenaptx-dev libmp3lame-dev
  * build-depend explicitly
    on libavfilter-dev libavutil-dev libswresample-dev
  * tighten build-dependency on libre-dev
  * stop build-depend on libavahi-client-dev
  * stop recommend avahi-daemon
  * update upstream source URLs
  * extend lintian overrides to cover GPL-2
  * build with hardening=+all
  * tolerate testsuite failures
    (see <https://github.com/baresip/baresip/issues/1090>)
  * adapt install for renamed/dropped modules
  * fail if missing to install some files
  * enable module avfilter
  * update TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2020 13:47:25 +0200

=== debian/control ===
Source: baresip
Section: comm
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 libasound2-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libcairo2-dev,
 libcodec2-dev,
 libdirectfb-dev [!hurd-any !kfreebsd-any],
 libevdev-dev [linux-any],
 libgsm1-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk2.0-dev,
 libjack-dev,
 libmosquitto-dev,
 libmp3lame-dev,
 libmpg123-dev,
 libomxil-bellagio-dev,
 libopenaptx-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libopus-dev,
 libpng-dev,
 libpulse-dev,
 libre-dev (>= 1.0.0),
 librem-dev (>= 0.6.0),
 libsdl2-dev,
 libsndfile1-dev,
 libsndio-dev,
 libspandsp-dev,
 libspeexdsp-dev,
 libssl-dev,
 libswresample-dev,
 libswscale-dev,
 libtwolame-dev,
 libvo-amrwbenc-dev,
 libvpx-dev,
 libx11-dev,
 libx265-dev,
 libxext-dev,
 pkg-config,
 portaudio19-dev,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Vasudev Kamath <vasudev@copyninja.info>,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/pkg-voip-team/baresip.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/baresip
Homepage: https://github.com/baresip/baresip
Rules-Requires-Root: no

Package: baresip
Architecture: all
Depends:
 baresip-core,
 ${misc:Depends},
Recommends:
 baresip-ffmpeg,
 baresip-gstreamer,
 baresip-gtk,
 baresip-x11,
Description: portable and modular SIP user-agent - metapackage
 A modular SIP user-agent
 with support for audio and video, and many IETF standards
 such as SIP, SDP, RTP/RTCP, STUN, TURN, ICE, and WebRTC.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, aptX, EBU ACIP, G.711, G.722, G.726, GSM,
    L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS,
    Portaudio, PulseAudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NAT-PMP.
  * Media encryption: SRTP, DTLS-SRTP.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This metapackage will install baresip and all its optional features.

Package: baresip-core
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 baresip-ffmpeg,
 baresip-gstreamer,
 baresip-gtk,
 baresip-x11,
Description: portable and modular SIP user-agent - core parts
 A modular SIP user-agent
 with support for audio and video, and many IETF standards
 such as SIP, SDP, RTP/RTCP, STUN, TURN, ICE, and WebRTC.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, aptX, EBU ACIP, G.711, G.722, G.726, GSM,
    L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS,
    Portaudio, PulseAudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NAT-PMP.
  * Media encryption: SRTP, DTLS-SRTP.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 Some of above features are provided in separate packages
 baresip-gtk, baresip-ffmpeg, baresip-gstreamer and baresip-x11.

Package: baresip-gtk
Architecture: any
Depends:
 baresip-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 baresip-core,
Description: portable and modular SIP user-agent - GTK+ front-end
 A modular SIP user-agent
 with support for audio and video, and many IETF standards
 such as SIP, SDP, RTP/RTCP, STUN, TURN, ICE, and WebRTC.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, aptX, EBU ACIP, G.711, G.722, G.726, GSM,
    L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS,
    Portaudio, PulseAudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video output: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NAT-PMP.
  * Media encryption: SRTP, DTLS-SRTP.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This package provides a GTK+ front-end for baresip.

Package: baresip-ffmpeg
Architecture: any
Depends:
 baresip-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 baresip-core,
Description: portable and modular SIP user-agent - FFmpeg codecs and formats
 A modular SIP user-agent
 with support for audio and video, and many IETF standards
 such as SIP, SDP, RTP/RTCP, STUN, TURN, ICE, and WebRTC.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, aptX, EBU ACIP, G.711, G.722, G.726, GSM,
    L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS,
    Portaudio, PulseAudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NAT-PMP.
  * Media encryption: SRTP, DTLS-SRTP.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This package integrates FFmpeg codecs and formats with baresip.

Package: baresip-gstreamer
Architecture: any
Depends:
 baresip-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 baresip-core,
Description: portable and modular SIP user-agent - GStreamer pipelines
 A modular SIP user-agent
 with support for audio and video, and many IETF standards
 such as SIP, SDP, RTP/RTCP, STUN, TURN, ICE, and WebRTC.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, aptX, EBU ACIP, G.711, G.722, G.726, GSM,
    L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS,
    Portaudio, PulseAudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NAT-PMP.
  * Media encryption: SRTP, DTLS-SRTP.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This package integrates GStreamer pipelines with baresip.

Package: baresip-x11
Architecture: any
Depends:
 baresip-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 baresip-core,
Description: portable and modular SIP user-agent - X11 features
 A modular SIP user-agent
 with support for audio and video, and many IETF standards
 such as SIP, SDP, RTP/RTCP, STUN, TURN, ICE, and WebRTC.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, aptX, EBU ACIP, G.711, G.722, G.726, GSM,
    L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS,
    Portaudio, PulseAudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NAT-PMP.
  * Media encryption: SRTP, DTLS-SRTP.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This package provides various X11-related features for baresip.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DOCS = README.md docs/TODO

# generate manpage with help2man from -h option
_mkman = \
 help2man $(if $3,--name "$(strip $3)") --no-info --help-option -h --no-discard-stderr --version-string $(DEB_VERSION_UPSTREAM) --output $2 $1 \
 || [ $? -eq 254 ] || { $1 -h; false; }

# install into package baresip-$1 modules $($1-mods)
_installmods = dh_install --package baresip-$1 \
		$(patsubst %, usr/lib/baresip/modules/%.so, $($1-mods)) \
		usr/lib/baresip/modules

# module hints for core package
core-mods-extra = rtcpsummary snapshot
ifeq (, $(filter hurd-% kfreebsd-%, $(DEB_HOST_ARCH)))
core-mods-extra += directfb
endif

# module hints for module packages
ffmpeg-mods = avcodec avfilter avformat swscale
gstreamer-mods = gst gst_video
gtk-mods = gtk
x11-mods = cairo omx pulse rst sdl vidinfo x11 x11grab

DEB_MAKE_EXTRA_ARGS = V=1 PREFIX=/usr RELEASE=1 \
	EXTRA_MODULES="$(core-mods-extra) avfilter swscale" \
	EXTRA_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	EXTRA_LFLAGS="$(LDFLAGS)" \
	DESTDIR=debian/tmp

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(DEB_MAKE_EXTRA_ARGS) info all
	$(call _mkman, ./baresip, debian/baresip.1, \
		portable and modular command-line SIP user-agent)

override_dh_auto_install:
	dh_auto_install -- $(DEB_MAKE_EXTRA_ARGS)

override_dh_install:
	$(call _installmods,ffmpeg)
	$(call _installmods,gstreamer)
	$(call _installmods,gtk)
	$(call _installmods,x11)
	dh_install \
		$(patsubst %, --no-package baresip-%,\
			ffmpeg gstreamer gtk x11) \
		$(patsubst %, -X%.so,\
			$(ffmpeg-mods) $(gstreamer-mods) \
			$(gtk-mods) $(x11-mods))

override_dh_installchangelogs:
	dh_installchangelogs -- docs/ChangeLog

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

## baresip 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Copyright (C) 2010 Creytiv.com
+# Copyright (C) 2010 Alfred E. Heggestad
 #
 #
 # Internal features:
@@ -10,7 +10,7 @@
 #
 
 PROJECT	  := baresip
-VERSION   := 1.0.0
+VERSION   := 1.1.0
 DESCR     := "Baresip is a modular SIP User-Agent with audio and video support"
 
 # Verbose and silent build modes
@@ -36,46 +36,86 @@
 endif
 
 
-ifeq ($(SYSROOT_LOCAL),)
-SYSROOT_LOCAL := $(shell [ -d /usr/local/include ] && echo "/usr/local")
-endif
-
-
 include $(LIBRE_MK)
 include mk/modules.mk
 
+ifeq ($(SYSROOT_LOCAL),)
+ifeq  ($(SYSROOT),/usr)
+SYSROOT_LOCAL := $(shell [ -d /usr/local/include ] && echo "/usr/local")
+endif
+endif
+
 ifndef LIBREM_PATH
 LIBREM_PATH	:= $(shell [ -d ../rem ] && echo "../rem")
 endif
 
+ifeq ($(LIBREM_PATH),)
+ifneq ($(SYSROOT_LOCAL),)
+LIBREM_PATH	:= $(shell [ -f $(SYSROOT_LOCAL)/include/rem/rem.h ] && \
+	echo "$(SYSROOT_LOCAL)")
+endif
+endif
+
+ifeq ($(LIBREM_PATH),)
+LIBREM_PATH	:= $(shell [ -f $(SYSROOT)/include/rem/rem.h ] && \
+	echo "$(SYSROOT)")
+endif
+
+# Include path
+LIBREM_INC := $(shell [ -f $(LIBREM_PATH)/include/rem.h ] && \
+	echo "$(LIBREM_PATH)/include")
+ifeq ($(LIBREM_INC),)
+LIBREM_INC := $(shell [ -f $(LIBREM_PATH)/include/rem/rem.h ] && \
+	echo "$(LIBREM_PATH)/include/rem")
+endif
+ifeq ($(LIBREM_INC),)
+LIBREM_INC := $(shell [ -f /usr/local/include/rem/rem.h ] && \
+	echo "/usr/local/include/rem")
+endif
+ifeq ($(LIBREM_INC),)
+LIBREM_INC := $(shell [ -f /usr/include/rem/rem.h ] && echo "/usr/include/rem")
+endif
+
+# Library path
+ifeq ($(LIBREM_SO),)
+LIBREM_SO  := $(shell [ -f $(LIBREM_PATH)/librem.a ] && \
+	echo "$(LIBREM_PATH)")
+endif
+ifeq ($(LIBREM_SO),)
+LIBREM_SO :=$(shell [ -f $(LIBREM_PATH)/librem$(LIB_SUFFIX) ] && \
+	echo "$(LIBREM_PATH)")
+endif
+ifeq ($(LIBREM_SO),)
+LIBREM_SO := $(shell [ -f $(LIBREM_PATH)/lib/librem$(LIB_SUFFIX) ] && \
+	echo "$(LIBREM_PATH)/lib")
+endif
+ifeq ($(LIBREM_SO),)
+LIBREM_SO  := $(shell [ -f /usr/local/lib/librem$(LIB_SUFFIX) ] \
+	&& echo "/usr/local/lib")
+endif
+ifeq ($(LIBREM_SO),)
+LIBREM_SO  := $(shell [ -f /usr/lib/librem$(LIB_SUFFIX) ] && \
+	echo "/usr/lib")
+endif
+ifeq ($(LIBREM_SO),)
+LIBREM_SO  := $(shell [ -f /usr/lib64/librem$(LIB_SUFFIX) ] && \
+	echo "/usr/lib64")
+endif
+
 
 CFLAGS    += -I. -Iinclude -I$(LIBRE_INC)
-ifneq ($(LIBREM_PATH),)
-CFLAGS    += -I$(LIBREM_PATH)/include
-endif
-CFLAGS    += -I$(SYSROOT)/local/include/rem -I$(SYSROOT)/include/rem
-ifneq ($(SYSROOT_LOCAL),)
-CFLAGS    += -I$(SYSROOT_LOCAL)/include/rem
-endif
+CFLAGS    += -I$(LIBREM_INC)
 
 
 CXXFLAGS  += -I. -Iinclude -I$(LIBRE_INC)
-ifneq ($(LIBREM_PATH),)
-CXXFLAGS  += -I$(LIBREM_PATH)/include
-endif
-CXXFLAGS  += -I$(SYSROOT)/local/include/rem -I$(SYSROOT)/include/rem
-ifneq ($(SYSROOT_LOCAL),)
-CXXFLAGS  += -I$(SYSROOT_LOCAL)/include/rem
-endif
+CXXFLAGS  += -I$(LIBREM_INC)
 CXXFLAGS  += $(EXTRA_CXXFLAGS)
 
 
 # XXX: common for C/C++
 CPPFLAGS += -DHAVE_INTTYPES_H
 
-ifneq ($(LIBREM_PATH),)
-CLANG_OPTIONS  += -I$(LIBREM_PATH)/include
-endif
+CLANG_OPTIONS  += -I$(LIBREM_INC)
 
 ifeq ($(OS),win32)
 STATIC    := yes
@@ -144,9 +184,7 @@
 TEST_OBJS := $(patsubst %.c,$(BUILD)/test/%.o,$(filter %.c,$(TEST_SRCS)))
 TEST_OBJS += $(patsubst %.cpp,$(BUILD)/test/%.o,$(filter %.cpp,$(TEST_SRCS)))
 
-ifneq ($(LIBREM_PATH),)
-LIBS	+= -L$(LIBREM_PATH)
-endif
+LIBS	+= -L$(LIBREM_SO)
 
 # Static build: include module linker-flags in binary
 ifneq ($(STATIC),)
@@ -211,7 +249,7 @@
 	@echo 'Name: libbaresip' >> libbaresip.pc
 	@echo 'Description: $(DESCR)' >> libbaresip.pc
 	@echo 'Version: '$(VERSION) >> libbaresip.pc
-	@echo 'URL: http://www.creytiv.com/baresip.html' >> libbaresip.pc
+	@echo 'URL: https://github.com/baresip/baresip' >> libbaresip.pc
 	@echo 'Libs: -L$${libdir} -lbaresip' >> libbaresip.pc
 	@echo 'Cflags: -I$${includedir}' >> libbaresip.pc
 
@@ -303,7 +341,7 @@
 
 .PHONY: ccheck
 ccheck:
-	@test/ccheck.py
+	@test/ccheck.py $(MOD_CCHECK_OPT)
 
 version:
 	@perl -pi -e 's/BARESIP_VERSION.*/BARESIP_VERSION \"$(VERSION)"/' \
@@ -329,3 +367,8 @@
 	done
 	@echo "  NULL"  >> $@
 	@echo "};"  >> $@
+
+bareinfo: info
+	@echo "  LIBREM_PATH:   $(LIBREM_PATH)"
+	@echo "  LIBREM_INC:    $(LIBREM_INC)"
+	@echo "  LIBREM_SO:     $(LIBREM_SO)"

=== debian/changelog ===
baresip (1.1.0-3build1) resolute; urgency=medium

  * Rebuild against latest libvpx

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 07:18:43 -0500

baresip (1.1.0-3) unstable; urgency=medium

  * remove directfb support (Closes: #1083044)

 -- Victor Seva <vseva@debian.org>  Wed, 18 Dec 2024 19:20:38 +0100

baresip (1.1.0-2) unstable; urgency=medium

  * fix ffmpeg 7 build (Closes: #1072401)
  * add myself to Uploaders
  * pkg-config => pkgconf

 -- Victor Seva <vseva@debian.org>  Thu, 07 Nov 2024 19:56:49 +0100

baresip (1.1.0-1) unstable; urgency=medium

  * Team upload
  * Move to unstable

 -- Bastian Germann <bage@debian.org>  Sun, 05 May 2024 19:20:53 +0000

baresip (1.1.0-0.2) experimental; urgency=medium

  * Non-maintainer upload
  * Remove OMX support (see #1065623)
  * Fix stack smashing (Closes: #961434)

 -- Bastian Germann <bage@debian.org>  Wed, 10 Apr 2024 20:52:08 +0000

baresip (1.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.1.0 (Closes: #967266)
  * Clean selftest and baresipbus (Closes: #1043966)

 -- Bastian Germann <bage@debian.org>  Sat, 14 Oct 2023 16:59:36 +0000

=== debian/rules ===
--- 
+++ 
@@ -17,16 +17,13 @@
 		usr/lib/baresip/modules
 
 # module hints for core package
-core-mods-extra = rtcpsummary snapshot
-ifeq (, $(filter hurd-% kfreebsd-%, $(DEB_HOST_ARCH)))
-core-mods-extra += directfb
-endif
+core-mods-extra = snapshot
 
 # module hints for module packages
 ffmpeg-mods = avcodec avfilter avformat swscale
 gstreamer-mods = gst gst_video
 gtk-mods = gtk
-x11-mods = cairo omx pulse rst sdl vidinfo x11 x11grab
+x11-mods = cairo pulse rst sdl vidinfo x11 x11grab
 
 DEB_MAKE_EXTRA_ARGS = V=1 PREFIX=/usr RELEASE=1 \
 	EXTRA_MODULES="$(core-mods-extra) avfilter swscale" \

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/baresip/baresip/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
